/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package rehab

import (
	e "simrs-vx/internal/domain/main-entities/rehab"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Rehab) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.Parent_Encounter_Id = inputSrc.Parent_Encounter_Id
	data.AllocatedVisitCount = inputSrc.AllocatedVisitCount
	data.ExpiredAt = inputSrc.ExpiredAt
	data.VisitMode_Code = &inputSrc.VisitMode_Code
	data.Status_Code = &inputSrc.Status_Code
}
